Package com.orchestranetworks.search.strategy

# Class SearchStrategyKey

java.lang.Object
com.orchestranetworks.search.strategy.SearchStrategyKey

public final class SearchStrategyKey extends Object
Identifies a search strategy.

Since:
  6.0.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final SearchStrategyKey`
  `ASSOCIATION`
  Only used for association nodes
  `static final SearchStrategyKey`
  `BOOLEAN`
  `static final SearchStrategyKey`
  `CODE`
  `static final SearchStrategyKey`
  `COLOR`
  `static final SearchStrategyKey`
  `COMPLEX`
  `static final SearchStrategyKey`
  `DATE`
  `static final SearchStrategyKey`
  `DATETIME`
  `static final SearchStrategyKey`
  `DECIMAL`
  `static final SearchStrategyKey`
  `DOUBLE_METAPHONE`
  `static final SearchStrategyKey`
  `EMAIL`
  `static final SearchStrategyKey`
  `HTML`
  `static final SearchStrategyKey`
  `INT`
  `static final SearchStrategyKey`
  `INTEGER`
  `static final SearchStrategyKey`
  `JARO_WINKLER`
  `static final SearchStrategyKey`
  `LEVENSHTEIN`
  `static final SearchStrategyKey`
  `LOCALE`
  `static final SearchStrategyKey`
  `NAME`
  `static final SearchStrategyKey`
  `NGRAM`
  `static final SearchStrategyKey`
  `ORESOURCE`
  `static final SearchStrategyKey`
  `PASSWORD`
  `static final SearchStrategyKey`
  `PK`
  `static final SearchStrategyKey`
  `REFERENCE`
  `static final SearchStrategyKey`
  `SOUNDEX`
  `static final SearchStrategyKey`
  `STRING`
  `static final SearchStrategyKey`
  `TEXT`
  `static final SearchStrategyKey`
  `UNOPTIMIZED`
  Only used to set a key to an unoptimized search
  `static final SearchStrategyKey`
  `URI`
  `static final SearchStrategyKey`
  `VOID`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `String`
  `format()`
  Returns a persistent identifier for this service key.
  `static SearchStrategyKey`
  `forModuleStrategyName(String aModuleName, String aStrategyName)`
  `static SearchStrategyKey`
  `forName(String aStrategyName)`
  `String`
  `getModuleName()`
  `String`
  `getStrategyName()`
  Returns the local name of the strategy, by removing the prefix before and including the '@' character.
  `int`
  `hashCode()`
  `boolean`
  `isBuiltInStrategy()`
  Returns `true` if this instance identifies a built-in strategy.
  `static SearchStrategyKey`
  `parse(String aString)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TEXT

    public static final SearchStrategyKey TEXT

  - ### STRING

    public static final SearchStrategyKey STRING

  - ### BOOLEAN

    public static final SearchStrategyKey BOOLEAN

  - ### CODE

    public static final SearchStrategyKey CODE

  - ### NAME

    public static final SearchStrategyKey NAME

  - ### HTML

    public static final SearchStrategyKey HTML

  - ### EMAIL

    public static final SearchStrategyKey EMAIL

  - ### PASSWORD

    public static final SearchStrategyKey PASSWORD

  - ### LOCALE

    public static final SearchStrategyKey LOCALE

  - ### COLOR

    public static final SearchStrategyKey COLOR

  - ### DECIMAL

    public static final SearchStrategyKey DECIMAL

  - ### INT

    public static final SearchStrategyKey INT

  - ### INTEGER

    public static final SearchStrategyKey INTEGER

  - ### DATE

    public static final SearchStrategyKey DATE

  - ### DATETIME

    public static final SearchStrategyKey DATETIME

  - ### REFERENCE

    public static final SearchStrategyKey REFERENCE

  - ### COMPLEX

    public static final SearchStrategyKey COMPLEX

  - ### PK

    public static final SearchStrategyKey PK

  - ### URI

    public static final SearchStrategyKey URI

  - ### ORESOURCE

    public static final SearchStrategyKey ORESOURCE

  - ### VOID

    public static final SearchStrategyKey VOID

  - ### JARO_WINKLER

    public static final SearchStrategyKey JARO_WINKLER

  - ### NGRAM

    public static final SearchStrategyKey NGRAM

  - ### LEVENSHTEIN

    public static final SearchStrategyKey LEVENSHTEIN

  - ### SOUNDEX

    public static final SearchStrategyKey SOUNDEX

  - ### DOUBLE_METAPHONE

    public static final SearchStrategyKey DOUBLE_METAPHONE

  - ### ASSOCIATION

    public static final SearchStrategyKey ASSOCIATION
    Only used for association nodes
    Since:
      6.1.1
    See Also:
      - `SchemaNodeSearchStrategy_Association`

  - ### UNOPTIMIZED

    public static final SearchStrategyKey UNOPTIMIZED
    Only used to set a key to an unoptimized search
    See Also:
      - `SchemaNodeSearchStrategy_Unoptimized`

- ## Method Details

  - ### parse

    public static SearchStrategyKey parse(String aString)
    Throws:
      `IllegalArgumentException` - if the specified key does not match the regular expression `([-\\d\\pL:_.]*)@?(%?[-\\d\\pL:_. /]+)`.

  - ### forName

    public static SearchStrategyKey forName(String aStrategyName)

  - ### forModuleStrategyName

    public static SearchStrategyKey forModuleStrategyName(String aModuleName, String aStrategyName)

  - ### getModuleName

    public String getModuleName()

  - ### getStrategyName

    public String getStrategyName()
    Returns the local name of the strategy, by removing the prefix before and including the '@' character.

  - ### isBuiltInStrategy

    public boolean isBuiltInStrategy()
    Returns `true` if this instance identifies a built-in strategy.

  - ### format

    public String format()
    Returns a persistent identifier for this service key.

    The strategy key can be re-obtained by parsing this persistent identifier using the method `parse(String)`.

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`